const std = @import("std");

/// An example of getting the current *UTC* hour and minute with the Zig standard library, no libc needed
/// Unfortunately, the Zig standard library doesn't support local time zones :(
pub fn main() anyerror!void {
    const now = std.time.epoch.EpochSeconds{
        .secs = @intCast(u64, std.time.timestamp())
    };

    std.debug.print("{}", .{
        std.time.epoch.EpochSeconds.getDaySeconds(now).getHoursIntoDay()
    });
}
